Name:           pawm 
Version:        2.0.3
Release:        0
Summary:        Light Weight Window Manager 

Group:          User Interface/Desktops 
License:        GPL 
URL:            http://www.pleyades.net/pawm/ 
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Pawm is a window manager for the X Window system. So it's not a 'desktop' and 
doesn't offer you a huge pile of useless options, just the facilities needed to
run your X applications and at the same time having a friendly and easy to use 
interface.

Pawm goals are to be simple, small and functional. That's important, small :), 
there are too bloated windows managers out there, so who wants another one ;). 
That means that for future releases is a very important point for us not add new
features or dependencies if they're not really necessary.

If you need to run some X apps and don't have the time, space or interest in 
installing a desktop like kde or gnome, then what you're looking for is pawm. 
Download it now and give it a try!

%prep
%setup -q

%build
#  --prefix=PREFIX       Installation prefix is 'PREFIX'.
#  --bindir=DIRECTORY    Place user binaries in 'DIRECTORY'.
#  --sbindir=DIRECTORY   Place system binaries in 'DIRECTORY'.
#  --xbindir=DIRECTORY   Place program binaries in 'DIRECTORY'.
#  --confdir=DIRECTOR    Place configuration files in 'DIRECTORY'.
#  --datadir=DIRECTORY   Place static data files in 'DIRECTORY'.
#  --infodir=DIRECTORY   Place info files in 'DIRECTORY'.
#  --mandir=DIRECTORY    Place manpages in 'DIRECTORY'.
#  --docdir=DIRECTORY    Place misc documentation in 'DIRECTORY'.
#  --libdir=DIRECTORY    Place libraries in 'DIRECTORY'.
#  --incdir=DIRECTORY    Place header files in 'DIRECTORY'.
#  --statedir=DIRECTORY  Place program status files in 'DIRECTORY'.
#  --spooldir=DIRECTORY  Place spool files in 'DIRECTORY'.
./0 \
	--prefix=%{_prefix} \
	--bindir=%{_bindir} \
	--sbindir=%{_sbindir} \
	--xbindir=%{_bindir} \
	--confdir=%{_sysconfdir}/X11/pawm \
	--datadir=%{_datadir}/pawm \
	--infodir=%{_infodir} \
	--mandir=%{_mandir} \
	--docdir=%{_docdir} \
	--libdir=%{_libdir} \
	--incdir=%{_includedir} \
	--statedir=%{_libdir}/pawm \
	--spooldir=%{_localstatedir}/spool/pawm \
	--enable-xft
	
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# clean up things that shouldn't be packaged
rm -f $RPM_BUILD_ROOT%{_infodir}/dir
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS INSTALL README THANKS
%{_bindir}/*
%{_sysconfdir}/X11/pawm/*
%{_datadir}/pawm/icons/*

%changelog
* Mon May 09 2005 Jeff Spicoli <jspicoli@gmail.com>
- initial build for FC 3
