#ifndef __PAFONT_H__
#define __PAFONT_H__

#include "x.h"

struct sPAFont;

typedef struct sPAFont *PAFont;

void pafont_init(void);
void pafont_done(void);
PAFont pafont_create(Display *, const char *);
unsigned int pafont_width(PAFont, const char *, size_t);
void pafont_draw(PAFont, Window, int, int, const char *, size_t);
unsigned int pafont_height(PAFont);
size_t pafont_trimtext(PAFont, const char *, unsigned int w);
void pafont_setcolor(PAFont, char *);
void pafont_destroy(PAFont);

#endif
