#ifndef __PAICON_H__
#define __PAICON_H__

#include "x.h"
#include "chain.h"
#include "mobs.h"
#include "signals.h"

#define DEFAULT_ICON "penguin.xpm"

typedef struct sPAIcon *PAIcon;

void paicon_init(void);
void paicon_done(void);
PAIcon paicon_create();
void paicon_destroy(PAIcon);

void paicon_mapall(PAIcon);
void paicon_move(PAIcon);
void paicon_seticon(PAIcon, xImage);
void paicon_seticonpos(PAIcon, int, int);
void paicon_seticontext(PAIcon, char *);
void paicon_setapp(PAIcon, char *);    
void paicon_setfile(PAIcon, const char *);
void paicon_disable_startup(PAIcon);
void paicon_getpos(PAIcon, int *, int *);
void paicon_getfile(PAIcon, char **);

#endif
