# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: 

DESCRIPTION="A window manager for the X Window system, simple, small and functional"
HOMEPAGE="http://www.pleyades.net/pawm"
SRC_URI="http://www.pleyades.net/pawm/${P}.tar.bz2"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86 ~amd64 ~ppc"
IUSE="debug"

RDEPEND=">=virtual/x11"

DEPEND="${RDEPEND}"

src_compile() {
	cd ${S}
	./0 --prefix=/usr
	make
}

src_install() {
        make DESTDIR="${D}" install || die "make install failed"
	dodoc AUTHORS Changelog INSTALL GPL README THANKS

	dodir /etc/X11/Sessions
        echo "/usr/bin/${PN}" > ${D}/etc/X11/Sessions/${PN}
        fperms a+x /etc/X11/Sessions/${PN}

        insinto /usr/share/xsessions
        doins ${FILESDIR}/${PN}.desktop
}


pkg_postinst() {
	einfo "Read /usr/share/doc/pawm-2.0.1/Install.gz for configuration options."
}

