#ifndef __KEYBOARD_H__
#define __KEYBOARD_H__

#include <stdbool.h>
#include "x.h"

void keyboard_init(void);
void keyboard_grabkeys(Window);
void keyboard_ungrabkeys(Window);
void keyboard_gotkey(KeyCode, long);
bool keyboard_compare_key(char *, long, XKeyPressedEvent *);
bool keyboard_binding_key(XKeyPressedEvent *);

#endif 
