#ifndef __PABAR_H__
#define __PABAR_H__

#include "x.h"
#include "mobs.h"
#include "pawindow.h"
#include "palabel.h"
//#include "paclock.h"
#include "pashut.h"
#include "chain.h"
#include "button.h"


#define PABARMARGIN 1
#define PABARBORDERW 2
#define PABARH (palabel_height()+PABARBORDERW+2*PABARMARGIN)
#define TOPBAR (DHEIGHT-PABARH)
#define LOWBAR (DHEIGHT-PABARBORDERW)

void          pabar_init (void);
void          pabar_done (void);
void          pabar_addlabel(PALabel);
void          pabar_dellabel(PALabel);
unsigned int  pabar_numlabels(void);
void          pabar_map();
void          pabar_unmap();
void          pabar_resize();
Window        pabar_getwindow();

#endif
